Authentication
Delete User
Deletes the account with given ID. Normal users only have permission to delete their own account. Account deletion is 14 days from this request, and will be cancelled if you do an authenticated request with the account afterwards.
VRC+ NOTE: Despite the 14-days cooldown, any VRC+ subscription will be cancelled immediately.
METHOD NOTE: Despite this being a Delete action, the method type required is PUT.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Path Parameters
userId*string
Must be a valid user ID.
Response Body
application/json
application/json
curl -X PUT "https://api.vrchat.cloud/api/1/users/string/delete"{
"acceptedPrivacyVersion": 0,
"acceptedTOSVersion": 7,
"accountDeletionDate": "2019-08-24",
"accountDeletionLog": [
{
"dateTime": "2019-08-24T14:15:22Z",
"deletionScheduled": "2019-08-24T14:15:22Z",
"message": "Deletion requested"
}
],
"activeFriends": [
"usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
],
"ageVerificationStatus": "18+",
"ageVerified": true,
"allowAvatarCopying": true,
"authToken": "string",
"badges": [
{
"assignedAt": "2019-08-24T14:15:22Z",
"badgeDescription": "string",
"badgeId": "bdg_a60e514a-8cb7-4702-8f24-2786992be1a8",
"badgeImageUrl": "string",
"badgeName": "string",
"hidden": true,
"showcased": true,
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"bio": "string",
"bioLinks": [
"string"
],
"contentFilters": [
"string"
],
"currentAvatar": "avtr_912d66a4-4714-43b8-8407-7de2cafbf55b",
"currentAvatarImageUrl": "https://api.vrchat.cloud/api/1/file/file_ae46d521-7281-4b38-b365-804b32a1d6a7/1/file",
"currentAvatarTags": [
"string"
],
"currentAvatarThumbnailImageUrl": "https://api.vrchat.cloud/api/1/image/file_aae83ed9-d42d-4d72-9f4b-9f1e41ed17e1/1/256",
"date_joined": "2019-08-24",
"developerType": "internal",
"discordDetails": {
"global_name": "string",
"id": "1280064052206370848"
},
"discordId": "1280064052206370848",
"displayName": "string",
"emailVerified": true,
"fallbackAvatar": "avtr_912d66a4-4714-43b8-8407-7de2cafbf55b",
"friendGroupNames": [
"string"
],
"friendKey": "string",
"friends": [
"usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
],
"googleDetails": {},
"googleId": "string",
"hasBirthday": true,
"hasEmail": true,
"hasLoggedInFromClient": true,
"hasPendingEmail": true,
"hideContentFilterSettings": true,
"homeLocation": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd",
"id": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"isAdult": true,
"isBoopingEnabled": true,
"isFriend": false,
"last_activity": "2019-08-24T14:15:22Z",
"last_login": "2019-08-24T14:15:22Z",
"last_mobile": "2019-08-24T14:15:22Z",
"last_platform": "standalonewindows",
"obfuscatedEmail": "string",
"obfuscatedPendingEmail": "string",
"oculusId": "string",
"offlineFriends": [
"usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
],
"onlineFriends": [
"usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
],
"pastDisplayNames": [
{
"displayName": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"picoId": "string",
"platform_history": [
{
"isMobile": true,
"platform": "standalonewindows",
"recorded": "2019-08-24T14:15:22Z"
}
],
"presence": {
"avatarThumbnail": "string",
"currentAvatarTags": [
"string"
],
"debugflag": "string",
"displayName": "string",
"groups": [
"grp_71a7ff59-112c-4e78-a990-c7cc650776e5"
],
"id": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"instance": "string",
"instanceType": "string",
"isRejoining": "string",
"platform": "standalonewindows",
"profilePicOverride": "string",
"status": "string",
"travelingToInstance": "string",
"travelingToWorld": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd:12345~hidden(usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469)~region(eu)~nonce(27e8414a-59a0-4f3d-af1f-f27557eb49a2)",
"userIcon": "string",
"world": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd"
},
"profilePicOverride": "string",
"profilePicOverrideThumbnail": "string",
"pronouns": "string",
"pronounsHistory": [
"string"
],
"queuedInstance": "string",
"receiveMobileInvitations": true,
"state": "active",
"status": "active",
"statusDescription": "string",
"statusFirstTime": true,
"statusHistory": [
"string"
],
"steamDetails": {},
"steamId": "string",
"tags": [
"string"
],
"twoFactorAuthEnabled": true,
"twoFactorAuthEnabledDate": "2019-08-24T14:15:22Z",
"unsubscribe": true,
"updated_at": "2019-08-24T14:15:22Z",
"userIcon": "string",
"userLanguage": "string",
"userLanguageCode": "string",
"username": "string",
"usesGeneratedPassword": true,
"viveId": "string"
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}